View Issue Details

IDProjectCategoryView StatusLast Update
0003591ScribusUsabilitypublic2008-02-22 23:00
Reportermkoren Assigned Tochristoph_s  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionwon't fix 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0003591: more ways to set frame position and geometry
DescriptionIt would be nice to have more flexible and precise ways of setting geometry properties for frames. I was thinking (these may overlap and/or be redundant):

1) For rotated frames, an option to use a non-rotated bounding box to set coordinates and sizes
2) The ability to use real frame nodes as reference points to set coordinates rather than just bounding box keypoints
3a) Maybe the ability to set rotation by setting the angle of any refernce segment on the frame or the vector connecting any two reference points, or...
3b) to set rotation and/or scale the object size (at the current aspect ratio) by specifying the coordinates of two reference points instead of width, height, and rotation directly
TagsNo tags attached.
Patch

Activities

christoph_s

2008-02-06 19:25

administrator   ~0018904

Do we really need this in a layout program?

mkoren

2008-02-22 13:39

reporter   ~0019033

I sure need it all the time for my detailed charts. And I think a layout program is the appropriate tool for the job, for the high quality text handling.

I frequently have to do calculations to figure out what coordinate values to enter for some objects.

jghali

2008-02-22 14:52

administrator   ~0019034

Last edited: 2008-02-22 14:52

Charts are obviously the job of a vector drawing program not a layout program

christoph_s

2008-02-22 22:59

administrator   ~0019046

1 and 3 a/b: No. 2 has been moved to http://wiki.scribus.net/index.php/1.3.x_Roadmap_Extras

Issue History

Date Modified Username Field Change
2006-04-09 03:36 mkoren New Issue
2006-04-24 08:58 mhanski Product Version 1.3.3 => 1.3
2008-02-06 19:25 christoph_s Note Added: 0018904
2008-02-06 19:25 christoph_s Status new => feedback
2008-02-22 13:39 mkoren Note Added: 0019033
2008-02-22 14:52 jghali Note Added: 0019034
2008-02-22 14:52 jghali Note Edited: 0019034
2008-02-22 22:59 christoph_s Status feedback => closed
2008-02-22 22:59 christoph_s Note Added: 0019046
2008-02-22 22:59 christoph_s Resolution open => won't fix
2008-02-22 23:00 christoph_s Status closed => resolved
2008-02-22 23:00 christoph_s Assigned To => christoph_s
2008-02-22 23:00 christoph_s Status resolved => closed